package com.rdkr.tide_display.backend.common.config;

import com.rdkr.tide_display.backend.common.interceptor.RequestResponseLoggingInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestClient;

@Component
public class AppConfig {

  @Bean
  public RestClient.Builder restClient() {
    return RestClient
        .builder()
        .requestInterceptor(new RequestResponseLoggingInterceptor());
  }
}
